

<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Categoría
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento Interno</li>
				<li class="breadcrumb-item" >Catalogo</li>
				<li class="breadcrumb-item active">Categoría</li>
            </ol>
          </div>
		</div>
	</div>
</div>


<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
		        <div class="card-header">
		     
				
		          <button id="btn_agregar" onClick="categoria_form('insertar')" class="btn btn-primary">Agregar</button>
		          <button id="btn_actualizar" class="btn btn-default">Actualizar</button>	
					
					<form enctype="multipart/form-data" title="Subir formato lleno de informacion"  class="formulario bg-red float-right" id="formularioarchivo" style="padding:0px;" >
						<input id="file_archivo" type="file" name="file_archivo" class="" >	
					</form>	
	
		    
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>

	
	<!-- formulario de registro -->
			<div class="modal fade" id="div_categoria_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog " style="width: 90% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_categoria_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- tabla de registros -->	
		<div id="div_categoria_tabla" ></div>

<script type="text/javascript">
 $("#file_archivo").fileinput({
        browseClass: "btn btn-success ",
		 browseLabel:"",
		 browseIcon: "<i class=\"fas fa-file-excel\"></i>",
         showPreview : false,
		showCaption: false,
        showRemove: false,
        showUpload: false
    });
	
	
	$("#file_archivo").change(function(){
	
	var file = $("#file_archivo")[0].files[0];
	var fileName = file.name;
	fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
	
	var formData = new FormData($("#formularioarchivo")[0]);
	if(fileExtension == "xlsx" || fileExtension == "xls"){
		
		$.ajax({
		type: "POST",
		url: "../categoria/importar_datos.php",
		cache: false,
        contentType: false,
        processData: false,                
		data: formData,
		beforeSend: function() {
			toastr["info"]('Procesando archivo');
        },
		success: function(rpt){
			
		toastr["info"]('Archivo procesado correctamente');
		
			
		},
		complete: function(){			
			categoria_tabla();
		}
	});     
		
	}else{
		toastr["error"]('Seleccione un archivo Excel');
	}
});
	
	
	function categoria_tabla()
	{	
		$.ajax({
			type: "POST",
			url: "../categoria/categoria_tabla.php",
			async:true,
			dataType: "html",                      
			data: ({
		}),
			beforeSend: function() {
				$('#div_categoria_tabla').addClass("ui-state-disabled");
			},
			success: function(html){
				$('#div_categoria_tabla').html(html);
			},
			complete: function(){			
				$('#div_categoria_tabla').removeClass("ui-state-disabled");
			}
		});     
	}
	function categoria_form(act,idf)
	{
		$('#div_categoria_form_dialog').modal();
		
		$.ajax({
			type: "POST",
			url: "../categoria/categoria_form.php",
			async:true,
			dataType: "html",                      
			data: ({
				action: act,
				cat_id:	idf,
				vista:	'categoria'
			}),
			beforeSend: function() {
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_categoria_form').html(div);
			},
			success: function(html){
				$('.div_categoria_form').html(html);	
						
			}
		});
	}
	function eliminar_categoria(id)
	{   
		
		if(confirm("Realmente desea eliminar?")){
			$.ajax({
				type: "POST",
				url: "../categoria/categoria_reg.php",
				async:true,
				dataType: "html",
				data: ({
					action: "eliminar",
					id:		id
				}),
				beforeSend: function() {
					
				},
				success: function(html){
					toastr["success"](html);
				},
				complete: function(){
					categoria_tabla();
				}
			});
		}
	}
	$(function() {
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../categoria/categoria_vista.php");
		});
		$("#div_categoria_form_dialog").on('hidden.bs.modal', function(){
          	//$("#content").load("../categoria/categoria_vista.php");
		});
		categoria_tabla();
		setTitle("CATEGORIA - "+nombreEmpresa);
	});
</script>